InternCache
Date: 2016-12-03

com.fasterxml.jackson.core.util

## Class InternCache

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.concurrent.ConcurrentHashMap<java.lang.String,java.lang.String>
    - - com.fasterxml.jackson.core.util.InternCache

- All Implemented Interfaces:
    java.io.Serializable, java.util.concurrent.ConcurrentMap<java.lang.String,java.lang.String>, java.util.Map<java.lang.String,java.lang.String>

      public final class InternCache
      extends java.util.concurrent.ConcurrentHashMap<java.lang.String,java.lang.String>

  Singleton class that adds a simple first-level cache in front of regular String.intern() functionality. This is done as a minor performance optimization, to avoid calling native intern() method in cases where same String is being interned multiple times.

  Note: that this class extends `LinkedHashMap` is an implementation detail -- no code should ever directly call Map methods.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InternCache` | `instance`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `intern(java.lang.String input)`

    - ### Methods inherited from class java.util.concurrent.ConcurrentHashMap

      `clear, contains, containsKey, containsValue, elements, entrySet, get, isEmpty, keys, keySet, put, putAll, putIfAbsent, remove, remove, replace, replace, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `clone, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Field Detail

    - #### instance

          public static final InternCache instance

  - ### Method Detail

    - #### intern

          public java.lang.String intern(java.lang.String input)